Subject: bug#12841: closed (Re: bug#12841: Make for AIX 8.20 fails with undefined symbol .rpl_malloc)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 11 Nov 2012 15:06:02 +0000

Your bug report

#12841: Make for AIX 8.20 fails with undefined symbol .rpl_malloc

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12841: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12841
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12841: Make for AIX 8.20 fails with undefined symbol .rpl_malloc
From: Pádraig Brady <[email-masked]>
To: Paul Eggert <[email-masked]>
Cc: Michael Felt <[email-masked]>, [email-masked]
Date: Sun, 11 Nov 2012 15:04:39 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/11/2012 07:41 AM, Paul Eggert wrote:
> I think you can fix the bug by adding "#undef malloc"
> to the list of undefs in src/make-prime-list.c.  You might
> want to give that a try.  But this business with the primes
> has bitten us before, and I'd like to install the attached
> more-ambitious patch instead, which you might also like to
> try.  Most of this patch is a table of primes.

Thanks for that.

I notice that src/make-prime-list is made even if src/primes.h
is present, is that intentional?

Also for my own reference, after a `make maintainer-clean`,
make-prime-list will best be generated with -Dwide_uint=__'unsigned __int128'

cheers,
Pádraig.

Subject: Make for AIX 8.20 fails with undefined symbol .rpl_malloc
From: Michael Felt <[email-masked]>
To: [email-masked]
Date: Fri, 9 Nov 2012 11:38:02 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

root@x104:[/data/prj/gnu/coreutils/coreutils-8.20]export
FORCE_UNSAFE_CONFIGURE=1
root@x104:[/data/prj/gnu/coreutils/coreutils-8.20]CFLAGS=-O2 -qcpluscmt
./configure \
        --prefix=/opt \
        --sysconfdir=/var/coreutils/etc \
        --sharedstatedir=/var/coreutils/com \
        --localstatedir=/var/coreutils \
        --mandir=/usr/share/man  \
                > build/aix/configure.out
configure: WARNING: libattr development library was not found or not usable.
configure: WARNING: GNU coreutils will be built without xattr support.
configure: WARNING: libcap library was not found or not usable.
configure: WARNING: GNU coreutils will be built without capability support.
configure: WARNING: libgmp development library was not found or not usable.
configure: WARNING: GNU coreutils will be built without GMP support.
+ make > build/aix/make.out
ld: 0711-317 ERROR: Undefined symbol: .rpl_malloc
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more
information.
make: *** [src/make-prime-list] Error 8
+ make install DESTDIR=/var/tmp/root/coreutils-8.20.0.0 >
build/aix/install.out
ld: 0711-317 ERROR: Undefined symbol: .rpl_malloc
ld: 0711-345 Use the -bloadmap or -bnoquiet option to obtain more
information.
make: *** [src/make-prime-list] Error 8
make install returned an error
root@x104:[/data/prj/gnu/coreutils/coreutils-8.20]
root@x104:[/data/prj/gnu/coreutils/coreutils-8.20]
root@x104:[/data/prj/gnu/coreutils/coreutils-8.20]

Version 8.15 is the last one I packaged, and build went fine.

I have also tested the build of 8.17. This completed (make install) without
any noteable errors.

p.s. Thought I had submitted this days ago - but it has been sitting in my
Drafts folder. :(